# Bugfix/Feature/Cleanup: PR Name

## Description

### Which issue does this PR tackle?

  - XY functionality is not implemented.
  - Fixes # (issue)

### How does it solve the problem?

  - Implements XY class.

### How are the changes tested?

  - Added test_xy.


## Checklist for Contributors

- [ ] Scope: This PR tackles exactly one problem.
- [ ] Conventions: The branch follows the `feature/title-slug` convention.
- [ ] Conventions: The PR title follows the `Bugfix: Title` convention.
- [ ] Coding style: The code passes all pre-commit hooks.
- [ ] Documentation: All changes are well-documented.
- [ ] Tests: New features are tested and all tests pass successfully.
- [ ] Changelog: Updated CHANGELOG.md for new features or breaking changes.
- [ ] Review: A suitable reviewer has been assigned.


## Checklist for Reviewers:

- [ ] The PR solves the issue it claims to solve and only this one.
- [ ] Changes are tested sufficiently and all tests pass.
- [ ] Documentation is complete and well-written.
- [ ] Changelog has been updated, if necessary.
