---
title: How-to Guides
---

Neural operators extend the concept of neural networks to function mappings,
which enables discretization-invariant and mesh-free mappings of data with
applications to physics-informed training, super-resolution, and more.

This is a collection of notebooks that showcase some applications of
**continuiti** and serve as a guide to solve specific problems.


::cards:: cols=2

- title: Time Series
  content: >
    Operator learning for non-uniform time series
  url: timeseries

- title: Super-resolution
  content: >
    Neural operators for super-resolution
  url: superresolution

- title: Physics-informed
  content: >
    Training physics-informed neural operators
  url: physicsinformed

- title: Meshes
  content: >
    Reading meshes for operator learning
  url: meshes

- title: Self-supervised
  content: >
    Training self-supervised neural operators
  url: selfsupervised

::/cards::
